complexType "Frequency"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 1 attribute, 2 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | periodMultiplier?, period?
</...>

Content Model Elements (2):

  period (defined in Frequency complexType), | periodMultiplier (defined in Frequency complexType)

Known Direct Subtypes (2):

  CalculationPeriodFrequency, ResetFrequency

All Direct / Indirect Based Elements (4):

  calculationPeriodFrequency (in calculationPeriodDates), calculationPeriodFrequency (in periodicDates), | paymentFrequency (in paymentDates), resetFrequency

Known Usage Locations

- In derivations of other global types (2):

  CalculationPeriodFrequency (as extension base), | ResetFrequency (as extension base)

- As direct type of elements (1):
  paymentFrequency (in paymentDates)

Annotation
A type defining a time frequency, e.g. one day, three months. Used for specifying payment or calculation frequencies at which the value T (Term) is applicable.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="Frequency"> <xsd:sequence> <xsd:element minOccurs="0" name="periodMultiplier" type="xsd:positiveInteger"/> <xsd:element minOccurs="0" name="period" type="PeriodExtendedEnum"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 2/2)
period

  Type: | PeriodExtendedEnum, simple content

  A time period, e.g. a day, week, month, year or term of the stream.
  Simple Content

  ("D" | "W" | "M" | "Y") | "T"

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="period" type="PeriodExtendedEnum"/>

periodMultiplier

  Type: | xsd:positiveInteger, predefined, simple content

  A time period multiplier, e.g. 1, 2 or 3 etc. If the period value is T (Term) then periodMultiplier must contain the value 1.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="periodMultiplier" type="xsd:positiveInteger"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.